You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-11-13 10:49:14

keysoftav
Guest
Registered: 2008-08-08
Posts: 18

Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

Bonjour,

Je suis bloqué lors de la mise à jour du serveur au moment du test, avec ce message "L'extension gd est manquante".

Je suis sur un serveur Debian stable (Stretch) complètement à jour et mon paquet "php-gd" qui fournit la version 7 est bien à jour et installé.

Est-ce que vous avez une solution ? J'ai regardé sur le net, je n'ai pas trouvé d'information à ce sujet, je n'avais aucun souci en 9.1.1.

Merci à vous !

Last edited by keysoftav (2017-12-27 12:05:46)

Offline

#2 2017-11-14 14:25:53

bzh
Guest
Registered: 2016-09-25
Posts: 387

Re: Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

Tu as bien fait apt-get install php-gd avec restart mysql et apache ?


Virtual Box \ Debian 8 \ GLPI 9.4

Offline

#3 2017-11-17 09:30:14

keysoftav
Guest
Registered: 2008-08-08
Posts: 18

Re: Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

Bonjour,

Non je n'ai pas fait cette manipulation vu que le paquet était déjà présent sur le serveur avant la mise à jour.

Last edited by keysoftav (2017-11-17 09:30:33)

Offline

#4 2017-11-17 09:36:26

remi
GLPI-DEV
From: Champagne
Registered: 2007-04-28
Posts: 7,107
Website

Re: Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

De mémoire sur les distro .deb, installé ne veux pas dire activé


Dév. Fedora 27 - PHP 5.6/7.0/7.1/7.2 - MariaDB 10.2 - GLPI master
Certifié ITILv3 - RPM pour Fedora, RHEL et CentOS sur https://blog.remirepo.net/

Offline

#5 2017-11-17 14:44:05

keysoftav
Guest
Registered: 2008-08-08
Posts: 18

Re: Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

Je suis en 9.1.1 et sauf erreur de ma part, ce n'est pas un des nouveaux paquets pour la version 0.92 donc cela fonctionnait bien.

Offline

#6 2017-12-27 12:00:57

keysoftav
Guest
Registered: 2008-08-08
Posts: 18

Re: Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

Je viens de tenter de passer vers la 9.2.1 et j'ai toujours le même problème.

J'ai passé des commandes sous ma Debian et l'extension GD est bien "enabled".

Le paquet sous Stretch est en version PHP7, c'est un problème pour GLPI ?

J'ai tenté de désinstaller puis réinstaller le paquet PHP-GD avec redémarrage du service Apache mais toujours manquante...

Merci pour votre aide

Last edited by keysoftav (2017-12-27 12:02:12)

Offline

#7 2017-12-27 12:21:50

keysoftav
Guest
Registered: 2008-08-08
Posts: 18

Re: Mise à jour 9.1.1 vers 9.2 (et 9.2.1) - Problème GD

ça a l'air de fonctionner grâce à ces 2 commandes trouvé sur l'autre post :

Désactivez-le :
a2dismod php5

Activer celui de php7 :
a2enmod php7.0

Visiblement, j'ai les 2 versions d'installer sauf que je ne peux pas supprimer la 5.

Offline

Board footer

Powered by FluxBB